Bug 222571 - Review Request: kalgebra - MathML-based graph calculator for KDE
Review Request: kalgebra - MathML-based graph calculator for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-14 13:53 EST by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-05 18:05:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
mock log (44.77 KB, text/plain)
2007-01-25 04:45 EST, Chitlesh GOORAH
no flags Details

  None (edit)
Description Chitlesh GOORAH 2007-01-14 13:53:05 EST
Spec URL: http://tux.u-strasbg.fr/~chit/RPMS/kalgebra.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/RPMS/kalgebra-0.5-1.src.rpm
Description: 
KAlgebra is a MathML-based graph calculator.
Besides it was initially mathml oriented now it can be used
by everyone with little mathematic knowledge.
Comment 1 Parag AN(पराग) 2007-01-22 00:44:14 EST
I got mock build problem
*** YOU'RE USING autoconf (GNU Autoconf) 2.59
*** KDE requires autoconf 2.52,2.53 or 2.54
Comment 2 Mamoru TASAKA 2007-01-23 05:12:07 EST
(Just adding myself to Cc list, as this package
 seems interesting)
Comment 3 Chitlesh GOORAH 2007-01-25 04:45:52 EST
Created attachment 146512 [details]
mock log
Comment 4 Chitlesh GOORAH 2007-01-25 04:48:41 EST
I've just mock the 0.5-1 version successfully with mock.

The included patch should have fixed it.

I should remove duplicate files in the next release.
Comment 6 Chitlesh GOORAH 2007-01-31 23:58:07 EST
Is there some chance that this package be reviewed before this weekend ?
Comment 7 Parag AN(पराग) 2007-02-01 00:00:31 EST
Sorry for being late. Got a lot of work. Will do review by end of day today.
Comment 8 Parag AN(पराग) 2007-02-01 00:49:29 EST
Got same mock error. 
If you have not faced any mock build problem then will review it by building
without mock and review it now.
Comment 9 Mamoru TASAKA 2007-02-01 01:40:36 EST
(In reply to comment #8)
> Got same mock error. 
> If you have not faced any mock build problem then will review it by building
> without mock and review it now.

What does full log of mockbuild says if you do mockbuild
with "--debug" option?
If you attach the result, I may help for it.
Comment 10 Chitlesh GOORAH 2007-02-01 01:49:57 EST
True, I prefer to wait for a while and troubleshoot this :)
show us your build.log
Comment 11 Parag AN(पराग) 2007-02-01 02:48:55 EST
Argh!! looks like i got broken mock repo updates locally with me. Updating devel
repo for my local mock setup.
Comment 12 Parag AN(पराग) 2007-02-01 02:51:53 EST
Got rpmlint on RPM
W: kalgebra dangling-relative-symlink /usr/share/doc/HTML/en/kalgebra/common
../common
The relative symbolic link points nowhere.

Which is ignorable.
Comment 13 Parag AN(पराग) 2007-02-01 04:27:23 EST
mock build is fine now.
But can't see Desktop file so used this application from console
Maybe you like to move Categories from Science to Categories=Qt;KDE;Math;Education;
 in .desktop file.

Comment 14 Parag AN(पराग) 2007-02-01 04:29:46 EST
OK as you need review of this package immedietley,
Here comes review for this.
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM.
- rpmlint is NOT silent for RPMS but is ignorable.
+ source match upstream.
8fb7edabb6b59c7606decf2f70da8dcd  kalgebra-20060501.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; so no need of -doc subpackage.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code Not contents.
+ no static libraries present.
+ no .pc files present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ icon cache scriptlets used.
+ Desktop file handled correctly.
- Unable to see Desktop icon from Applications Menu -> 
+ file permissions are appropriate.
+ GUI app
Comment 15 Chitlesh GOORAH 2007-02-03 09:08:55 EST
Updated:
Spec URL: http://tux.u-strasbg.fr/~chit/RPMS/kalgebra.spec
SRPM URL: http://tux.u-strasbg.fr/~chit/RPMS/kalgebra-0.5-3.src.rpm

Fix presence in gnome menu
Comment 16 Parag AN(पराग) 2007-02-05 06:28:07 EST
Thanks APPROVED.
Comment 17 Bill Nottingham 2007-02-05 17:06:00 EST
Package pre-import admin stuff done. Feel free to import.

Note You need to log in before you can comment on or make changes to this bug.